Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.ContainerNode

java.lang.Object
ContainerItemProvider<CONTAINER>.AbstractNode
ContainerItemProvider<CONTAINER>.AbstractContainerNode
org.eclipse.net4j.util.ui.views.ContainerItemProvider.ContainerNode

All Implemented Interfaces:
  `ContainerItemProvider.Node`

Enclosing class:
  ContainerItemProvider<CONTAINER extends IContainer<Object>>

public class ContainerItemProvider.ContainerNode extends ContainerItemProvider<CONTAINER>.AbstractContainerNode

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

`containerListener`

### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`NO_CHILDREN`

## Constructor Summary

Constructors
Constructor
Description
`ContainerNode(ContainerItemProvider.Node parent, IContainer<Object> container)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`Object`
`getElement()`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

`createChildren, disposeChildren, fillChildren, getChildren, getContainer, hasChildren, onAdded, onRemoved`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

`addChild, checkNotDisposed, getParent, getParentElement, getTreePath, isDisposed, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerNode

public ContainerNode(ContainerItemProvider.Node parent, IContainer<Object> container)

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ContainerItemProvider.Node`
Overrides:
  `dispose` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.AbstractContainerNode`

### getElement

public Object getElement()